/**
 * Theme Name:     stonehause
 * Author:         Elementor Team
 * Template:       hello-elementor
 * Text Domain:	   stonehause
 * Description:    Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
 */


header {position: relative;z-index: 9;}

.elementor-widget-theme-post-content strong {color: var(--e-global-color-primary );}
#breadcrumbs > span {column-gap: 12px;display: flex;}

.pm_caratteristiche {display:none;}
.pm_caratteristiche.elementor-sticky--effects {display:flex;width:100%!important;height:80px;}
.pm_caratteristiche .elementor-widget-icon-box:not(:first-child) .elementor-icon-box-content .elementor-icon-box-title span {font-size:14px!important;font-weight:800;}
.pm_caratteristiche .elementor-widget-icon-box .elementor-icon-box-content small {margin-left: 5px; color:#555;font-weight:normal;}
.pm_caratteristiche .elementor-widget-icon-box {padding: 5px 20px 0 20px;box-shadow: 1px 0 0px #e3e3e3;}
.pm_caratteristiche .elementor-widget-icon-box:last-child {box-shadow: none;}

.js-es-single-property-layout .es-gallery__image-background,
.js-es-single-property-layout .es-gallery__thumb {border-radius:3px;overflow: hidden;}


.es-single--xl.es-single--single-tiled-gallery .es-property-section:not(.es-property_section--location):not(.es-property_section--video):not(.es-property_section--media):not(.es-property_section--request_form) .es-property-section__content {padding: 20px 0;}


.revestate-modal-content .revestate-modal-button.button-primary {background-color:var(--revestate-success);}
.revestate-modal-content .revestate-modal-button.button-primary:hover {background-color:var(--revestate-primary);}


/*  Galleria  */
div[data-elementor-type="single-properties"] {position:relative;z-index:999;}
.pannello_immagini {position: absolute;top: 0px;z-index: 999;display:none;height:100%;overflow-y:scroll;background-color:white;-ms-overflow-style: none;scrollbar-width: none;width:100%;}
.pannello_immagini::-webkit-scrollbar {display: none;}

.pannello_immagini_header {min-height: 70px;background-color: #fff;display: flex;position: fixed;top: 0px;left: 0;font-size: 15px;width: 100%;align-items: center;flex-wrap: wrap;justify-content: space-around;}

.pannello_immagini_header {min-height: 70px;background-color: #fff;display: flex;position: fixed;top: 0px;left: 0;font-size: 15px;width: 100%;align-items: center;flex-wrap: wrap;justify-content: space-around;}
.pannello_immagini_header .pannello_immagini_header_left {width:70%;display:flex;gap: 30px;}
.pannello_immagini_header a {text-align:-webkit-center;filter: opacity(0.5); font-size: 16px;font-weight: 600;font-family: var(--e-global-typography-accent-font-family );color: var(--e-global-color-primary );}
.pannello_immagini_header a:hover, .pannello_immagini_header a.active {filter: opacity(1);}
.pannello_immagini_header a img {max-height: 25px;display:block;}
.pannello_immagini_header .pannello_immagini_header_right a {font-size:13px;}
.pannello_immagini_header .pannello_immagini_header_right a img {max-height: 20px;}
.pannello_immagini_inner {text-align:center;margin:auto;max-width:800px;}


ul.es-listing__meta li {font-size: 1.6em;}
.es-property-section .es-property-section__title {color: #333;}
.es-property-section .es-property-fields .es-property-field .es-property-field__value {font-weight: 300;}

#basic-facts {border: 1px solid var(--e-global-color-accent);padding: 15px;border-radius: 3px;background-color: #fff;}

#request_form .es-request-form.es-request-form--section {max-width: 100%;}
#request_form .es-request-form.es-request-form--section form {justify-content: space-between;max-width: 100%;gap:40px;}
#request_form .es-request-form.es-request-form--section .es-request-form__fields {max-width:90%;}

#request_form .es-request-form.es-request-form--section .es-agent-item {padding: 15px;border: 4px solid #f4f4f4;border-radius: 3px;box-shadow: 0 2px 5px #d7b462;}
#request_form .es-request-form.es-request-form--section .es-request-agents .es-entity__image {position: relative;width: 100%;height: auto;max-width: 250px;}
#request_form .es-request-form.es-request-form--section .es-request-agents .es-entity__image img {opacity:1;max-width:100%;}
#request_form .es-request-form.es-request-form--section .es-request-agents h3 {font-size:20px; font-weight:400;}


.revestate-distanze-features .features-list li {display:initial;}
.revestate-distanze-features .features-list li small {display:block; color: var(--e-global-color-text);}
.revestate-distanze-features .features-list li i {color: var(--revestate-success);}


@media only screen and (min-width: 1100px) {
#basic-facts {margin-left: -15px;margin-right: -15px;}
}


@media only screen and (max-width: 768px) {
#request_form .es-request-form.es-request-form--section,
#request_form .es-request-form.es-request-form--section form {padding:0;}
}


.revestate-filters-panel .search-form-field input, .revestate-filters-panel .search-form-field select {border:0;}


.button-cerca {background: var(--revestate-success)!important;}
.button-cerca:hover {background: var(--revestate-dark)!important;}

.elementor-shortcode .revestate-slider-container {
    position: relative;
    padding: 0px 0px 40px;
    margin: 0px;
}

.revestate-slider-container .swiper {position: initial;padding:10px 5px;}
.swiper .swiper-button-next, .swiper-rtl .swiper-button-prev {right: -20px;z-index:2;}
.swiper .swiper-button-prev, .swiper-rtl .swiper-button-next {left: -20px;z-index:2;}


.revestate-card {
    box-shadow: 0 1px 4px rgb(38 50 56 / 20%)!important;
    background: #fff;
    font-weight: 400;
	border-radius:0px!important;
}

.revestate-card .revestate-card-price .price {font-size: 16px;font-weight: 700; color: var(--revestate-primary);}
.revestate-card .revestate-card-price .price.richiesta {color: #2D7D73;}
.revestate-card h3.revestate-card-title {font-size: 16px;font-weight: 500;color: var(--revestate-dark);font-family:var(--e-a-font-family);}

.revestate-card .revestate-button {color: var(--revestate-light);}
.revestate-card .revestate-button:hover {background: var(--revestate-success);color:#fff;}

.revestate-card .revestate-card-location,
.revestate-card .revestate-card-features {font-size:14px;}
.revestate-card .revestate-card-footer .revestate-button {padding: 5px 20px;}

.revestate-card-type .badge {color:#fff;padding: 3px 5px; border-radius:3px;margin-right:3px;font-size:12px;}
.appartamenti, .appartamento, .appartamento-con-4-locali, .appartamento-con-5-locali, .appartamento-con-6-locali, .attico, .mansarda, .monolocale, .multilocale, .trilocale {background-color:#D7B462;}
.box-posti-auto, .box-auto, .box-o-garage, .posto-auto-coperto {background-color:#93A860;}
.rustici-cascine-case, .casa, .casa-di-corte, .casa-indipendente, .casa-semi-indipendente, .rustico, .appartamento-rustici-cascine-case {background-color:#58956C;}
.locale-commerciale, .deposito, .locale-artigianale, .locale-commerciale-locale-commerciale {background-color:#2D7D73;}
.terreno, .terreno-terreno, .terreno-agricolo, .terreno-commerciale, .terreno-residenziale {background-color:#25626D;}
.ville, .casa-in-campagna, .rudere, .storica, .vecchia, .villa, .villa-a-schiera, .villa-singola, .villetta-bifamiliare {background-color:#2F4858;}

.badge.zona  {background-color:var( --revestate-grey );padding: 3px 5px; border-radius:3px;margin-right:3px;font-size:12px;}

.rif_crm { font-size: 10px; }


/*  Singolo Annuncio */

.nav_feature {top:100px; transition: top 0.6s, background-color 1.0s;display:flex!important;justify-content: space-between;}
.nav_feature .nav_left, .nav_feature .nav_right {display:flex;padding:0;}
.nav_feature .nav_left li {max-width:130px;gap:10px;}
.nav_feature .nav_right li {max-width:100px;flex-direction: column;gap:10px;}
.nav_feature .nav_left li.prezzo {max-width:200px;}
.nav_feature .nav_left li.prezzo .feature-value {font-size: 1.4em;}
.nav_feature .nav_left li img, .nav_feature .nav_right li img {width:60%;max-width:35px;min-height:35px;}
.nav_feature .feature-item {background-color:transparent;}
.nav_feature .feature-value {font-size: 1em;display: flex;align-items: center;gap:5px;}
.nav_feature.sticky {opacity:1;position: fixed;top:0;left:0;width: 100%;left: 0;background-color: #fff;box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);z-index: 999;}


.revestate-widget h3 {border-bottom: 1px solid #cccccc6e!important;font-weight:500!important;}

.revestate-single-wrapper .revestate-gallery-grid {grid-template-columns: 3fr 1fr;}
.revestate-single-wrapper .revestate-features-grid {grid-template-columns: repeat(auto-fill, minmax(18%, 1fr));gap: 10px;}
.revestate-widget.revestate-contact-form {position: sticky;top: 160px;}

.revestate-single-wrapper .revestate-main-column h2 {
    font-size: 1.8em;
    margin-bottom: 20px;
    color: var(--revestate-dark);
    border-top: 1px solid var(--revestate-border);
	padding-bottom:0;
	border-bottom:0;
    padding-top: 20px;
}

.details-list {
    margin: 0;
    display: grid;
    grid-template-columns: 1fr 1fr;
}

.ape.revestate-widget.revestate-details {background: url(eco.png) no-repeat center center; background-size: cover;min-height:250px;}
.ape .classe_energetica {background: url(classe-energetica.png) no-repeat center bottom; background-size: 100%;padding-bottom: 25px;margin:0 20% 0 0;}




.ape .classe_energetica  .feature-value {display: flex;width: 40px;height: 40px;font-size: 25px;background-color: #fff;justify-content: center;align-items: center;border-radius: 5px;box-shadow: 0 2px 12px #a3a3a3;position:relative;}

.ape .classe_energetica  .feature-value::after{
  content:'';
  position:absolute;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 7px 5px 0 5px;
  border-color: #fff transparent transparent transparent;
  bottom:-7px;
  /*box-shadow: 0 2px 5px #a3a3a3;*/
}


.ape .classe_energetica .feature-value.A4 {margin-left:calc(5% - 20px);}
.ape .classe_energetica .feature-value.A3 {margin-left:calc(15% - 20px);}
.ape .classe_energetica .feature-value.A2 {margin-left:calc(25% - 20px);}
.ape .classe_energetica .feature-value.A1 {margin-left:calc(35% - 20px);}
.ape .classe_energetica .feature-value.B {margin-left:calc(45% - 20px);}
.ape .classe_energetica .feature-value.C {margin-left:calc(55% - 20px);}
.ape .classe_energetica .feature-value.D {margin-left:calc(65% - 20px);}
.ape .classe_energetica .feature-value.E {margin-left:calc(75% - 20px);}
.ape .classe_energetica .feature-value.F {margin-left:calc(85% - 20px);}
.ape .classe_energetica .feature-value.G {margin-left:calc(95% - 20px);}


.ape .classe_energetica .feature-value {display: flex;width: 40px;height: 40px;font-size: 25px;background-color: #fff;justify-content: center;align-items: center;border-radius: 5px;box-shadow: 0 2px 12px #a3a3a3;position: relative;}

.share {position: absolute;color: #000;z-index: 1;top: 5px;right: 5px;padding: 2px 5px;background-color: #fff;border-radius: 3px;box-shadow: 0 1px 3px #777;}
.share .share-buttons {display:none;}
.share:hover .share-buttons {display:flex;flex-direction: column;padding: 3px 7px;}
.share .share-button {background-color:transparent!important; width:100%; height:inherit;justify-content: flex-start;gap:5px;}
.share .share-button i {background-color:transparent; color:#333; display:flex;justify-content: center;align-items: center; }


.revestate-agency-info {
    background: #f9f9f9;
    padding: 20px;
    border-radius: 8px;
    margin: 20px 0;
}

.agency-logo img {
    max-width: 200px;
    height: auto;
    margin-bottom: 10px;
}

.agency-name {margin-bottom: 10px;color: #333;font-weight:700;}

.agency-description {margin-bottom: 15px;}
.agency-contacts {display: flex;flex-direction: column;gap: 10px;}
.agency-contacts > div {display: flex;align-items: center;gap: 8px;}
.agency-contacts a {color: var(--revestate-success);text-decoration: none;}
.agency-contacts a:hover {text-decoration: underline;}
.agency-contacts .dashicons {color: var(--revestate-secondary);}










/* === VARIABILI CSS === */

:root {
    --revestate-primary: #000000!important;
    --revestate-secondary: #6c757d;
    --revestate-success: #D7B462!important;
    --revestate-danger: #dc3545;
    --revestate-warning: #ffc107;
    --revestate-info: #17a2b8;
    --revestate-light: #f8f9fa;
    --revestate-dark: #343a40;
    --revestate-grey: #dee2e6;
    --revestate-border: #dee2e6;
    --revestate-shadow: 0 2px 10px rgba(0,0,0,0.1);
}
